
QGIS Application - Bug report #18280

Crash after removing temporary layer joined to s shapefile

2018-03-01 10:05 AM - Thomas Nogatz

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 26171

Description

Crash report details:

User Feedback

Report Details

Crash ID: 4542612c5b6196791ab07691b442ac10dccbd043

Stack Trace

QgsField::QgsField :

QgsFields::operator[] :

QgsAttributeForm::updateJoinedFields :

QgsAttributeForm::onAttributeChanged :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsTextEditWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsTextEditWrapper::setWidgetValue :

QgsEditorWidgetWrapper::setFeature :

QgsAttributeForm::resetValues :

QgsAttributeForm::setFeature :

QgsDualView::mFeatureList_currentEditSelectionChanged :

QMetaObject::activate :

QgsFeatureListView::currentEditSelectionChanged :

QgsFeatureListView::editSelectionChanged :

QMetaObject::activate :

QItemSelectionModel::emitSelectionChanged :

QItemSelectionModel::select :

QItemSelectionModel::select :

QgsFeatureListView::ensureEditSelection :

QMetaObject::activate :

QAbstractItemModel::modelReset :

QMetaObject::activate :

QAbstractItemModel::endResetModel :

QSortFilterProxyModel::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::endResetModel :

QgsAttributeTableModel::loadLayer :

QMetaObject::activate :

QMetaObject::activate :

QgsVectorLayer::updateFields :

QMetaObject::activate :

QgsVectorLayerJoinBuffer::removeJoin :
QgsVectorLayerJoinBuffer::joinedLayerWillBeDeleted :

QMetaObject::activate :

QgsVectorLayer::~QgsVectorLayer :

QgsSpatialiteCloser::operator= :

QgsMapLayerStore::removeMapLayers :

QgsMapLayerStore::removeMapLayers :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.15063

History

#1 - 2018-03-01 10:34 AM - Thomas Nogatz

The temporary layer was joined to a shapefile layer. QGIS does not crash if the join will be removed before removing the temporary layer.

#2 - 2018-03-01 10:37 AM - Giovanni Manghi

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

- Category changed from Unknown to Vectors

- Subject changed from Crash after removing temporary layer to Crash after removing temporary layer joined to s shapefile

#3 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#4 - 2019-02-11 04:22 AM - Nyall Dawson

- Status changed from Feedback to Closed
- Resolution set to no timely feedback
